<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemAtlInspectDeclareMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemAtlInspectDeclare">
        <id column="id" property="id" />
        <result column="declare_id" property="declareId" />
        <result column="project_code" property="projectCode" />
        <result column="declare_company_code" property="declareCompanyCode" />
        <result column="declare_company_name" property="declareCompanyName" />
        <result column="declare_person" property="declarePerson" />
        <result column="fill_time" property="fillTime" />
        <result column="site_name" property="siteName" />
        <result column="legal_representative" property="legalRepresentative" />
        <result column="site_address" property="siteAddress" />
        <result column="site_area" property="siteArea" />
        <result column="site_floor" property="siteFloor" />
        <result column="link_person" property="linkPerson" />
        <result column="link_phone" property="linkPhone" />
        <result column="site_nature1" property="siteNature1" />
        <result column="site_nature_details1" property="siteNatureDetails1" />
        <result column="site_nature" property="siteNature" />
        <result column="site_nature_details" property="siteNatureDetails" />
        <result column="site_nature2" property="siteNature2" />
        <result column="site_nature_details2" property="siteNatureDetails2" />
        <result column="build_num" property="buildNum" />
        <result column="build_nature" property="buildNature" />
        <result column="site_build_name" property="siteBuildName" />
        <result column="site_build_area" property="siteBuildArea" />
        <result column="site_build_floor" property="siteBuildFloor" />
        <result column="site_build_high" property="siteBuildHigh" />
        <result column="filing_number" property="filingNumber" />
        <result column="filing_description" property="filingDescription" />
        <result column="filing" property="filing" />
        <result column="document_number" property="documentNumber" />
        <result column="other_description" property="otherDescription" />
        <result column="rejection_reason" property="rejectionReason" />
        <result column="fire_facilities" property="fireFacilities" />
        <result column="fire_facilities_type" property="fireFacilitiesType" />
        <result column="whether_other_facilities" property="whetherOtherFacilities" />
        <result column="other_facilities" property="otherFacilities" />
        <result column="whether_exit" property="whetherExit" />
        <result column="exit_number" property="exitNumber" />
        <result column="whether_annihilator" property="whetherAnnihilator" />
        <result column="annihilator_number" property="annihilatorNumber" />
        <result column="other_facilities_situation" property="otherFacilitiesSituation" />
        <result column="exit_number_situation" property="exitNumberSituation" />
        <result column="annihilator_number_situation" property="annihilatorNumberSituation" />
        <result column="task_status" property="taskStatus" />
        <result column="accept_status" property="acceptStatus" />
        <result column="whether_qualified" property="whetherQualified" />
        <result column="whether_deliver" property="whetherDeliver" />
        <result column="accept_account" property="acceptAccount" />
        <result column="accept_name" property="acceptName" />
        <result column="accept_time" property="acceptTime" />
        <result column="closing_time" property="closingTime" />
        <result column="decision_approval_process" property="decisionApprovalProcess" />
        <result column="document_version" property="documentVersion" />
        <result column="accept_company" property="acceptCompany" />
        <result column="competent_company" property="competentCompany" />
        <result column="entered_account" property="enteredAccount" />
        <result column="entered_name" property="enteredName" />
        <result column="entered_time" property="enteredTime" />
        <result column="entered_ip" property="enteredIp" />
        <result column="update_account" property="updateAccount" />
        <result column="update_name" property="updateName" />
        <result column="update_time" property="updateTime" />
        <result column="update_ip" property="updateIp" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="approver_account" property="approverAccount" />
        <result column="approver_name" property="approverName" />
        <result column="approval_time" property="approvalTime" />
        <result column="alternate_field1" property="alternateField1" />
        <result column="alternate_field2" property="alternateField2" />
        <result column="alternate_field3" property="alternateField3" />
        <result column="alternate_field4" property="alternateField4" />
        <result column="alternate_field5" property="alternateField5" />
        <result column="row_version" property="rowVersion" />
        <result column="baqtqk" property="baqtqk" />
        <result column="sffhbz" property="sffhbz" />
        <result column="fhbzqx" property="fhbzqx" />
        <result column="bdp_audit" property="bdpAudit" />
        <result column="union_key" property="unionKey" />
    </resultMap>

</mapper>
